aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-26 13:12:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-26 14:03:20 +0000
commit25ed9167936cbb8582ca6630b8077535755c75ed (patch)
tree4c206281bb02c4cb370ecb030055fdb6e7917dc6 /main/busybox/APKBUILD
parent5ff5b6c60a2ac50825e71eb02fd44f794b04c76f (diff)
downloadaports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.gz
aports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.bz2
aports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.xz
main/busybox: upgrade to 1.19.0 + patches
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD53
1 files changed, 33 insertions, 20 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 6d27a88b2b..ac1b8ef26d 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
-pkgver=1.18.5
-pkgrel=1
+pkgver=1.19.0
+pkgrel=0
_bbsuidver=0.6
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
@@ -15,21 +15,28 @@ source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
http://git.alpinelinux.org/cgit/bbsuid.git/snapshot/bbsuid-$_bbsuidver.tar.bz2
$pkgname-1.11.1-bb.patch
busybox-uname-is-not-gnu.patch
- loginutils-sha512.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-cttyhack.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-less.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-sed.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-swap.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-uncompress.patch
busyboxconfig"
+# loginutils-sha512.patch
-_builddir="$srcdir"/$pkgname-$pkgver
+_sdir="$srcdir"/$pkgname-$pkgver
+_staticdir="$srcdir"/build-static
+_dyndir="$srcdir"/build-dynamic
_bbsuid="$srcdir"/bbsuid-$_bbsuidver
_config="$srcdir"/busyboxconfig
prepare() {
- cd "$_builddir"
+ mkdir -p "$_staticdir" "$_dyndir"
#patches
- for i in ../*.patch; do
- msg "Applying $i"
- if ! patch -p1 -i $i; then
- error "$i failed"
- return 1
- fi
+ cd "$_sdir"
+ for i in $source; do
+ local p=${i##*/}
+ case $i in
+ *.patch) msg $p; patch -p1 -i "$srcdir"/$p || return 1;;
+ esac
done
sed -i -e 's/(ip, _BB_DIR_BIN/(ip, _BB_DIR_SBIN/' \
@@ -39,22 +46,24 @@ prepare() {
}
build() {
+ msg "Building bbsuid"
cd "$_bbsuid"
make || return 1
- cd "$_builddir"
+ cd "$_staticdir"
msg "Building static busybox"
sed -e "s/.*CONFIG_PIE.*/\# CONFIG_PIE is not set/" \
-e "s/.*CONFIG_STATIC.*/CONFIG_STATIC=y/" \
"$_config" > .config
- make silentoldconfig || return 1
+ make -C "$_sdir" O="$PWD" silentoldconfig || return 1
make || return 1
mv busybox busybox.static
# build dynamic
+ cd "$_dyndir"
msg "Building dynamic busybox"
cp "$_config" .config
- make silentoldconfig || return 1
+ make -C "$_sdir" O="$PWD" silentoldconfig || return 1
make || return 1
}
@@ -62,7 +71,7 @@ package() {
cd "$_bbsuid"
make install DESTDIR="$pkgdir" || return 1
- cd "$_builddir"
+ cd "$_dyndir"
mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
"$pkgdir"/var/cache/misc "$pkgdir"/bin "$pkgdir"/sbin
chmod 1777 "$pkgdir"/tmp
@@ -72,15 +81,19 @@ package() {
}
static() {
+ pkgdesc="Statically linked Busybox"
mkdir -p "$subpkgdir"/bin
- install -m755 "$_builddir"/busybox.static \
+ install -m755 "$_staticdir"/busybox.static \
"$subpkgdir"/bin/busybox.static
-
}
-md5sums="96dd43cc7cee4017a6bf31b7da82a1f5 busybox-1.18.5.tar.bz2
+md5sums="9ad0b619bb788913b263eb53bbd659be busybox-1.19.0.tar.bz2
968b3a058db04f95e9c4cdb44d7d3ddb bbsuid-0.6.tar.bz2
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
b5375210f13fd6e1ca61a565e8fabd35 busybox-uname-is-not-gnu.patch
-d21d70d590e9e04bfc65ecb23b9d1617 loginutils-sha512.patch
-cf688759721a35137c9654b995b186c5 busyboxconfig"
+4d64393857732f513c40172757fff7c2 busybox-1.19.0-cttyhack.patch
+67c0c719ddb768ee6bbdcf4c3bed45ca busybox-1.19.0-less.patch
+89f9693f0b76b6012b74d73bb772dcc7 busybox-1.19.0-sed.patch
+21b13f7cfe133acd24f370b7c855668a busybox-1.19.0-swap.patch
+92fb297b15f81108a1c2647f7bd67db4 busybox-1.19.0-uncompress.patch
+4ec89e4b45bcf667974a2778a559196f busyboxconfig"